Update Ticket Status
curl --request POST \
--url https://api.example.com/tickets/{ticket_id}/status \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "<string>"
}
'import requests
url = "https://api.example.com/tickets/{ticket_id}/status"
payload = { "status": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>'})
};
fetch('https://api.example.com/tickets/{ticket_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"user_id": 123,
"title": "<string>",
"status": "<string>",
"priority": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_reply_block_permanent": true,
"closed_at": "2023-11-07T05:31:56Z",
"user_reply_block_until": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"user_id": 123,
"message_text": "<string>",
"is_from_admin": true,
"has_media": true,
"created_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"media_file_id": "<string>",
"media_caption": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}support
Update Ticket Status
Обновление статуса тикета поддержки.
POST
/
tickets
/
{ticket_id}
/
status
Update Ticket Status
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I
